//-----------------------------------------------------------------
// SKETCH:     Project 2
// PURPOSE:    To introduce the concept of Arduino (C++) libraries
// REFERENCES: http://playground.arduino.cc/Code/Library#Syntax
//             http://arduino.cc/en/Hacking/LibraryTutorial
//             http://darcy.rsgc.on.ca/ACES/TEI3M/1314/Tasks.html
// AUTHORS:    1314 TEI3M Software Group
// DATE:       2013 09 30
//-----------------------------------------------------------------
#include <Bargraph.h>
int leds = 10;
int pins[] = {12,11,10,9,8,7,6,5,4,3};
boolean barMode = true;
Bargraph bargraph(leds, pins, barMode);
int duration = 512;
// Nothing to do...
void setup(){
}

void loop(){
  // Left-to right display of LEDs, alternating between bar and dot modes
  for(int i=0; i<leds; i++){
    bargraph.display(i);
    delay(duration);
    bargraph.clear();
    barMode = !barMode;
    bargraph.setMode(barMode);
  }
  delay(duration<<1);
  // 
  bargraph.setMode(barMode = false);
  for(int i=0; i<2; i++){
    for (int j=leds-1; j>=0; j--){
      bargraph.turnOn(j);
      delay(duration>>3);
    }
    for (int j=0; j<leds; j++){
      bargraph.turnOff(j);
      delay(duration>>3);
    }
  }
  
    delay(duration);

  // Flash an alternating sequence of LEDs
  int pattern = 0x3E0;
  bargraph.animate(pattern,4,duration>>1);

  delay(duration);

  // Flash another alternating sequence of LEDs
  pattern = 0x2AA;
  bargraph.animate(pattern,6,duration>>2);
}









